Bug 111289 - "NFS: readdir reply truncated!" error on 2.4.22-1.2115.nptlsmp accessing 2.6.0-0.test11.1.99smp
"NFS: readdir reply truncated!" error on 2.4.22-1.2115.nptlsmp accessing 2.6....
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Depends On:
  Show dependency treegraph
Reported: 2003-12-01 14:21 EST by Thomas J. Baker
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 23:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2003-12-01 14:21:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.10

Description of problem:
I have two fedora systems, one running the standard
2.4.22-1.2115.nptlsmp kernel and the other running the
2.6.0-0.test11.1.99smp kernel. I had an SGI die and wanted to get some
data off of some XFS formatted disks. I put the XFS disks on the 2.6
kernel system, mounted them and began to transfer data over NFS. The
problem is that one directory has over 3000 files in it and everytime
I ls that directory, I get "NFS: readdir reply truncated!" error
messages on the client 2.4.22 system and only 91 files listed. I've
tried mounting with vers=2, vers=3, and pumping up the rsize and wsize
to 8192 but they don't help. Is this a known problem and is there a
work around?

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2115.nptl, kernel-smp-2.6.0-0.test11.1.99

How reproducible:

Steps to Reproduce:
1. described above

Additional info:
Comment 1 Rajesh 2004-07-08 12:45:47 EDT
I am facing similar problem on a Dell 2650 server using NFS mounts
from Netapps using tcp 32k mount options.

Comment 2 Rajesh 2004-07-08 12:47:55 EDT
I am facing similar problem on a Dell 2650 server using NFS mounts
from Netapps using tcp 16k mount options.

Kernel -- 2.4.21-9.ELsmp
RHEL 3.0

The server pings but does not respond to any login

- Thanks

Comment 3 Steve Dickson 2004-07-12 14:27:40 EDT
Would it be possible to get an ethereal trace of this? Its not clear
to me if the server is not sending enough or the client can't handle
the amount the server is sending. 

Note You need to log in before you can comment on or make changes to this bug.